### Home Classes Methods

### In Files

- lib/ramaze/log/logging.rb

### Methods

- #<<
- #debug
- #debug?
- #dev
- #error
- #info
- #shutdown
- #tag_log
- #warn

### Class/Module Index

Quicksearch

- Ramaze
- Ramaze::App
- Ramaze::AppGraph
- Ramaze::Bin
- Ramaze::Bin::Console
- Ramaze::Bin::Create
- Ramaze::Bin::Helper
- Ramaze::Bin::Restart
- Ramaze::Bin::Runner
- Ramaze::Bin::Start
- Ramaze::Bin::Status
- Ramaze::Bin::Stop
- Ramaze::Cache
- Ramaze::Cache::LRU
- Ramaze::Cache::LocalMemCache
- Ramaze::Cache::MemCache
- Ramaze::Cache::Redis
- Ramaze::Cache::Sequel
- Ramaze::Controller
- Ramaze::CoreExtensions
- Ramaze::CoreExtensions::Array
- Ramaze::CoreExtensions::Binding
- Ramaze::CoreExtensions::Kernel
- Ramaze::CoreExtensions::Numeric
- Ramaze::CoreExtensions::Object
- Ramaze::CoreExtensions::Proc
- Ramaze::CoreExtensions::String
- Ramaze::Current
- Ramaze::DefaultController
- Ramaze::Dictionary
- Ramaze::Fiber
- Ramaze::Files
- Ramaze::GemSetup
- Ramaze::Gestalt
- Ramaze::Helper
- Ramaze::Helper::Auth
- Ramaze::Helper::Bench
- Ramaze::Helper::BlueForm
- Ramaze::Helper::BlueForm::Form
- Ramaze::Helper::CSRF
- Ramaze::Helper::Cache
- Ramaze::Helper::Cache::SingletonMethods
- Ramaze::Helper::Disqus
- Ramaze::Helper::Email
- Ramaze::Helper::Erector
- Ramaze::Helper::Flash
- Ramaze::Helper::Formatting
- Ramaze::Helper::Gestalt
- Ramaze::Helper::Gravatar
- Ramaze::Helper::Identity
- Ramaze::Helper::Layout
- Ramaze::Helper::Layout::SingletonMethods
- Ramaze::Helper::Link
- Ramaze::Helper::Localize
- Ramaze::Helper::Localize::Dictionary
- Ramaze::Helper::Localize::Parser
- Ramaze::Helper::Markaby
- Ramaze::Helper::Maruku
- Ramaze::Helper::Paginate
- Ramaze::Helper::Paginate::Paginator
- Ramaze::Helper::Paginate::Paginator::ArrayPager
- Ramaze::Helper::Paginate::Paginator::DataMapperPager
- Ramaze::Helper::Remarkably
- Ramaze::Helper::RequestAccessor
- Ramaze::Helper::SendFile
- Ramaze::Helper::SimpleCaptcha
- Ramaze::Helper::Stack
- Ramaze::Helper::Thread
- Ramaze::Helper::Ultraviolet
- Ramaze::Helper::Upload
- Ramaze::Helper::Upload::ClassMethods
- Ramaze::Helper::Upload::UploadedFile
- Ramaze::Helper::UserHelper
- Ramaze::Helper::UserHelper::Wrapper
- Ramaze::Helper::XHTML
- Ramaze::LRUHash
- Ramaze::Logger
- Ramaze::Logger::Analogger
- Ramaze::Logger::Growl
- Ramaze::Logger::Informer
- Ramaze::Logger::Knotify
- Ramaze::Logger::LogHub
- Ramaze::Logger::Logger
- Ramaze::Logger::RotatingInformer
- Ramaze::Logger::Syslog
- Ramaze::Logger::Xosd
- Ramaze::Logging
- Ramaze::MiddlewareCompiler
- Ramaze::Plugin
- Ramaze::Reloader
- Ramaze::Reloader::Hooks
- Ramaze::Reloader::WatchInotify
- Ramaze::Reloader::WatchStat
- Ramaze::Reloader::Watcher
- Ramaze::Request
- Ramaze::Response
- Ramaze::SpecLogger
- Ramaze::Struct
- Ramaze::View
- Ramaze::View::Erector
- Ramaze::View::Erubis
- Ramaze::View::Ezamar
- Ramaze::View::Gestalt
- Ramaze::View::Haml
- Ramaze::View::Liquid
- Ramaze::View::Liquid::Tag
- Ramaze::View::Lokar
- Ramaze::View::Mustache
- Ramaze::View::Mustache::RamazeContext
- Ramaze::View::Nagoro
- Ramaze::View::Remarkably
- Ramaze::View::Sass
- Ramaze::View::Slippers
- Ramaze::View::Tagz
- Ramaze::View::Tagz::Methods
- Ramaze::View::Tenjin
- Nagoro
- Nagoro::Pipe
- Nagoro::Pipe::RenderPartial
- Bacon
- Bacon::PrettyOutput
- Erector
- Erector::Widget
- Rack
- Rack::RouteExceptions
- Tenjin
- Tenjin::Template
- BlankSlate
- Controller
- Fiber
- FiberError
- MainController
- Object
- OrderedSet
- Thread

No matching classes.

# Ramaze::Logging

This module provides a basic skeleton for your own loggers to be compatible.

@example

    class MyLogger
      include Logging

      def log(tag, *args)
        p tag => args
      end
    end

### Public Instance Methods

<<(*objects) click to toggle source
Alias for: debug
debug(*objects) click to toggle source

Inspects objects if they are no strings. Tag is :debug

@param [Array] objects An array of objects that will be inspected.

    # File lib/ramaze/log/logging.rb, line 60
    def debug(*objects)
      tag_log(:debug, :inspect, *objects)
    end

Also aliased as: <<
debug?() click to toggle source

Stub for WEBrick

    # File lib/ramaze/log/logging.rb, line 103
    def debug?
      false
    end

dev(*objects) click to toggle source

Inspects objects if they are no strings. Tag is :dev

@param [Array] objects An array of objects that will be inspected.

    # File lib/ramaze/log/logging.rb, line 69
    def dev(*objects)
      tag_log(:dev, :inspect, *objects)
    end

error(ex) click to toggle source

Takes either an Exception or just a String, formats backtraces to be a bit more readable and passes all of this on to tag_log :error

@param [Object] ex The exception that was raised.

    # File lib/ramaze/log/logging.rb, line 81
    def error(ex)
      if ex.respond_to?(:exception)
        message = ex.backtrace
        message.map!{|m| m.to_s.gsub(/^#{Regexp.escape(Dir.pwd)}/, '.') }
        message.unshift(ex.inspect)
      else
        message = ex.to_s
      end
      tag_log(:error, :to_s, *message)
    end

info(*objects) click to toggle source

Converts everything given to strings and passes them on with :info

@param [Array] objects An array of objects that need to be converted to

    strings.

    # File lib/ramaze/log/logging.rb, line 41
    def info(*objects)
      tag_log(:info, :to_s, *objects)
    end

shutdown() click to toggle source

Nothing.

THINK: Is this really required? It doesn't do anything anyway.

    # File lib/ramaze/log/logging.rb, line 97
    def shutdown
    end

tag_log(tag, meth, *msgs) click to toggle source

Takes the tag (:warn|:debug|:error|:info) and the name of a method to be called upon elements of msgs that don't respond to :to_str Goes on and sends the tag and transformed messages each to the log method. If you include this module you have to define log or it will raise.

@param [String] tag The level of the log message. @param [String] method @param [Array] msgs The data that should be logged.

    # File lib/ramaze/log/logging.rb, line 28
    def tag_log(tag, meth, *msgs)
      msgs.each do |msg|
        string = (msg.respond_to?(:to_str) ? msg : msg.send(meth))
        log(tag, string)
      end
    end

warn(*objects) click to toggle source

Converts everything given to strings and passes them on with :warn

@param [Array] objects An array of objects that need to be converted to

    strings.

    # File lib/ramaze/log/logging.rb, line 51
    def warn(*objects)
      tag_log(:warn, :to_s, *objects)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.